//
//  SoundManager.swift
//  GoldWars
//
//  Created by Tim Herbst on 10.05.20.
//  Copyright © 2020 SP2. All rights reserved.
//

import SpriteKit
import AVFoundation

class SoundManager {
    var audioPlayer = AVAudioPlayer()
    var backgroundMainMenuAudio: URL?
    var isMusicPlaying: Bool = false
    
    func startMenuMusic() {
        backgroundMainMenuAudio = Bundle.main.url(forResource: "intro-music", withExtension: "mp3")
        do {
            audioPlayer = try AVAudioPlayer(contentsOf: backgroundMainMenuAudio!)
        } catch {
            print("Datei nicht gefunden!")
        }
        audioPlayer.numberOfLoops = -1
        audioPlayer.prepareToPlay()
        audioPlayer.play()
        isMusicPlaying = true
    }
    
    func stopMenuMusic() {
        audioPlayer.pause()
        isMusicPlaying = false
    }
}
